org.apache.maven.scm.provider.perforce.command.add

## Class PerforceAddConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.add.PerforceAddConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceAddConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: PerforceChangeLogConsumer.java 331276 2005-11-07 15:04:54Z evenisse $
Author:
  Mike Perham

### Constructor Summary

Constructors
Constructor and Description
`PerforceAddConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getAdditions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceAddConsumer

    public PerforceAddConsumer()

### Method Detail

#### getAdditions

    public List getAdditions()

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`